//IBM Confidential OCO Source Material
//5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
//The source code for this program is not published or otherwise divested
//of its trade secrets, irrespective of what has been deposited with the
//U.S. Copyright Office.

package com.ibm.websphere.longrun;

/**
*
* Represents the Job Scheduler Constants
* 
* @ibm-api
*/
public class JobSchedulerConstants {


	/**
	 * Successful invocation of an operation on the Grid Endpoint 
	 */ 
	public static final int SCHEDULE_OPER_TO_LREE_SUCCESS = 0;

    // Following are possible return codes when Job Schedule get the exceptions
	
    /**
     * Failed invocation of an operation on the Grid Endpoint.  
     */
	public static final int SCHEDULE_OPER_TO_LREE_FAILED = 1;

	/**    	 
	 * Health Management condition encountered
	 */
	public static final int HMM_OPERATING_ON_DCI = 2;

	/** 
	 * Job does not exist in the JOBSTATUS table 
	 */
	public static final int JOB_NOT_EXISTS = 3;

	/** 
	 * Job is in an invalid state for the job operation
	 */
	public static final int JOB_ON_INVALID_STATE = 4;

	/** 
	 * Internal exception during a job operation
	 */
	public static final int SCHDEULER_EXCEPTION = 5;

	/** 
	 * Recurring request does not exist in the RECURRINGREQUEST table 
	 */
	public static final int RECURRINGREQUEST_NOT_EXISTS = 6;

	/** 
	 * Recurring request could not be permanently canceled
	 */
	public static final int RECURRINGREQUEST_NOT_PERM_CANCELLED = 7;
	
	/** 
	 * The owning scheduler is not active
	 */
	public static final int SCHDEULER_IS_NOT_ACTIVE = 8;

	/** 
	 * Job has incorrect syntax
	 */
	public static final int JOB_INCORRECT_SYNTAX = 9;
	
	/** 
	 * The specified edition is not installed or active in the Grid Execution Environment.
	 */
	public static final int JOB_APP_EDITION_NOT_ACTIVE = 10;
	
	/** 
	 * Grid utility job is not supported on z/OS.
	 */
	public static final int GRID_UTILITY_JOB_NOT_SUPPORTED_ON_ZOS = 11;
	
	/** 
	 * Required capability was not found in the Grid Execution Environment.
	 */
	public static final int REQUIRED_CAPABILITY_NOT_FOUND = 12;
	
	/** 
	 * Ambiguous editions are found in the Grid Execution Environment.
	 */
	public static final int AMBIGUOUS_EDITION = 13;

	/** 
	 * Database exception during a job operation
	 */
	public static final int DATABASE_EXCEPTION = 14;
	/** 
	 * Operation not supported for a grid utility job
	 */
	public static final int GRID_UTILITY_JOB_UNSUPPORTED_OPERATION = 15;
}
